# Rails

Rosewill does have some rails I purchased for via [Amazon](https://www.amazon.com/gp/product/B01D3FJ5HC/) on 14DEC2017 for $44.99. After having to fight them for several hours in order to get them to mount just right, I can say they're the hardest rails I've ever had to install. That said, with enough patience, they're perfectly solid. Considering I don't really know of any other rails for this case, I suppose I would recommend them since you're able to get the major annoyance out of the way once and use them indefinitely.

The worst thing about these rails is that if you don't spend the time to properly install them, you're going to end up a little off and you'll actually end up using like 5U of space. I had some extra space and didn't care enough to get it installed perfectly for quite a long time, but finally caved and tore everything apart one day, spent a few hours figuring out exactly how it needs to be installed, and haven't had an issue since. If I remember and find time, I'll add some notes here about that process.
